## org.eclipse.uml2.uml
Interface GeneralOrdering

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier

    public interface GeneralOrdering

extends NamedElement

A representation of the model object 'General Ordering'. A general ordering represents a binary relation between two occurrence specifications, to describe that one occurrence specification must occur before the other in a valid trace. This mechanism provides the ability to define partial orders of occurrence cpecifications that may otherwise not have a specified order.

The following features are supported:

- `Before`
- `After`

See Also:
  `UMLPackage.getGeneralOrdering()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`OccurrenceSpecification` `getAfter()` Returns the value of the 'After' reference.
`OccurrenceSpecification` `getBefore()` Returns the value of the 'Before' reference.
`void` `setAfter(OccurrenceSpecification value)` Sets the value of the '`After`' reference
`void` `setBefore(OccurrenceSpecification value)` Sets the value of the '`Before`' reference

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBefore

    OccurrenceSpecification getBefore()

  Returns the value of the 'Before' reference. It is bidirectional and its opposite is '`To After`'. The OccurrenceSpecification referenced comes before the OccurrenceSpecification referenced by after.

  Returns:
    the value of the 'Before' reference.
  See Also:
    `setBefore(OccurrenceSpecification)`, `UMLPackage.getGeneralOrdering_Before()`, `OccurrenceSpecification.getToAfters()`

### setBefore

    void setBefore(OccurrenceSpecification value)

  Sets the value of the '`Before`' reference.

  Parameters:
    `value` - the new value of the 'Before' reference.
  See Also:
    `getBefore()`

### getAfter

    OccurrenceSpecification getAfter()

  Returns the value of the 'After' reference. It is bidirectional and its opposite is '`To Before`'. The OccurrenceSpecification referenced comes after the OccurrenceSpecification referenced by before.

  Returns:
    the value of the 'After' reference.
  See Also:
    `setAfter(OccurrenceSpecification)`, `UMLPackage.getGeneralOrdering_After()`, `OccurrenceSpecification.getToBefores()`

### setAfter

    void setAfter(OccurrenceSpecification value)

  Sets the value of the '`After`' reference.

  Parameters:
    `value` - the new value of the 'After' reference.
  See Also:
    `getAfter()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.